# Microsoft (m$)

Please read this entire page and finally, when is say m$, I mean it, learn your history about that company and the piracy they have practiced.  I will be glad to give you step by step examples since their existence.  I was there 🙂

## History

I was a big time fan of m$ all the way to the introduction of Windows 1995

- [Introduction of Windows 95](https://www.youtube.com/watch?v=_JzfROUDsK0)
     - 34:48 - Mouse - Jay Leno

Then my Mentor unrevealed "THE TRUTH".  He said, "Bill Gates and that entire company are EVIL."

How can this be?  Once I started learning "THE TRUTH", very apparent what m$ is doing:
- New technology - either buy out that company or PIRACY, steal that technology, reengineer and sell as there own.  

#### Links

- [Embrace, Extend and Extinguish](https://en.wikipedia.org/wiki/Embrace,_extend,_and_extinguish)
- 

There are so many instances, I will continue to build the list below as time permits:

|Technology|m$ Counter|Description|
|--|--|--|
|Apache Web Server|IIS||
|Netscape|IE||
|Java|C#||
|Slack|Teams||
|Git|Github||

# Setup for Failure

How many times have you seen where m$ products fail.  That's right, ALL THE TIME and yet, Corporate Senior Level Staff continue to buy into FAILURE.  I wish I could have documented every case where m$ has failed a company.  Do not worry, m$ always has that covered promise, if we break things, it's not our fault.  KEEP BUYING INTO THIS PEOPLE, there is no RESPONSIBILITY from m$.

|Incident|Description|Reference|
|--|--|--|
|New Technology|Happens all the time with all m$ products, never happens with competitor products|New Version of Windows, Office, IIS, .NET, m$ Browsers (IE, Edge)|
|m$ Office down - Nation Wide|I was working for two Universities at the same time and both emails were down for several hours|- [Inspector](./images/m$failure_0.png)<br>- [Webpage](./images/m$failure_1.png)|

# Single Page Applications (SPA)

The world has changed to SPAs that are much easier to develop.  What is an SPA?  Angular, React and Vue.  DO NOT BELIEVE ME.  Just look at the Want Ads.

What do you think Full Stack Developer means.  NONE of this m$ garbage but SPA.  SPA is the front end, the middleware is either Java or C# (m$ pirated version of Java) and of course a SQL or NoSQL (the new trend now) database.
